PSR-0 – wp-includes/Requests

Vyřešeno144 zhlédnutíZákaznická administrace
0

Dobrý den, řeším problem funkčnosti mého webu a  díky query monitoru jsem zjistil, že wp-includes/Requests používá starý standard PSR-0 a ne PSR-4.

Hlásí tuto chybu:

The PSR-0 `Requests_…` class names in the Request library are deprecated. Switch to the PSR-4 `WpOrg\Requests\…` class names at your earliest convenience.

Jak mám tuto knihovnu aktualizovat? na NoLimit není možné použít Composer a jako laik si to ručně vše přepsat netroufnu.

Děkuji za radu

Role: Zákazník
Otázka je uzamčena pro nové odpovědi.
MB313456 Vybral nejlepší odpověď 3. 5. 2023
0
84.52K Odpověď od WEDOS Internet, a.s. 0 Comments

Dobrý den,

podle odpovědi technika a tohoto threadu WordPress support fóra by měla pomoct aktualizace WordPressu a pluginů na nejnovější verzi. Zvažte také aktualizaci PHP podle tohoto návodu.

Role: Podpora Web: https://kb.wedos.com Vizitka: WEDOS Specialista na Znalostní bázi
MB313456 Vybral nejlepší odpověď 3. 5. 2023
Prohlížíte 1 ze 1 odpovědí, klikněte zde pro zobrazení všech odpovědí.